GWT 2.7.0

## com.google.gwt.user.client
Interface EventPreview

All Known Implementing Classes:
  DecoratedPopupPanel, DialogBox, LoggingPopup, PopupPanel

Deprecated. replaced by `Event.NativePreviewHandler`

    @Deprecated
    public interface EventPreview

A listener interface for previewing browser events.

See Also:
  `DOM.addEventPreview(EventPreview)`

Method Summary
`boolean` | `onEventPreview(Event event)` Deprecated. replaced by `Event.NativePreviewHandler.onPreviewNativeEvent(com.google.gwt.user.client.Event.NativePreviewEvent)`

Method Detail

### onEventPreview

    @Deprecated
    boolean onEventPreview(Event event)

  Deprecated. replaced by `Event.NativePreviewHandler.onPreviewNativeEvent(com.google.gwt.user.client.Event.NativePreviewEvent)`

  Called when a browser event occurs and this event preview is on top of the preview stack.

  Parameters:
    `event` - the browser event
  Returns:
    `false` to cancel the event
  See Also:
    `DOM.addEventPreview(EventPreview)`

GWT 2.7.0